<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<%@ tag body-content="empty" %>
<%@ attribute name="contextPath" required="true" %>

<%--
    todo: switch the hard-coded strings below to strings in a resource bundle
          seems that there's a bug in the ${bundle} implicit object that
          prevents this from working correctly...
    - ekoneil
  --%>
<table background="${contextPath}/images/bkg-topbar.gif" border="0" cellspacing="0" cellpadding="5" width="100%">
  <tr>
    <td align="left" width="60%">
      <%-- shop --%>
      <netui:imageAnchor action="rootSharedFlow.globalShop" border="0" src="${contextPath}/images/logo-topbar.gif" height="60" width="287"/>
    </td>
    <td valign="top" align="right" nowrap="nowrap">
      <br clear="all"/>
      <%-- view cart --%>
      <netui:imageAnchor action="rootSharedFlow.globalViewCart" border="0" src="${contextPath}/images/cart.gif"/>
      <netui:image border="0" src="${contextPath}/images/separator.gif"/>
      <c:choose>
        <c:when test="${sharedFlow.account == null}">
          <%-- sharedFlow.signon --%>
          <netui:anchor styleClass="boldanchor" action="rootSharedFlow.signon">
              Sign In
          </netui:anchor>
        </c:when>
        <c:otherwise>
          <%-- sharedFlow.signoff --%>
          <netui:anchor styleClass="boldanchor" action="rootSharedFlow.signoff">
              Sign Out
          </netui:anchor>
          <netui:image border="0" src="${pageContext.request.contextPath}/images/separator.gif"/>
          <netui:anchor styleClass="boldanchor" action="globalEditAccount">
              My Account
          </netui:anchor>
        </c:otherwise>
      </c:choose>
      <netui:image border="0" src="${contextPath}/images/separator.gif"/>
      <netui:imageAnchor action="rootSharedFlow.globalShowHelp" border="0" src="${contextPath}/images/help.gif"/>
    </td>
    <td valign="top" align="left" border="0">
      <br clear="all"/>
      <netui:form action="rootSharedFlow.search">
        <netui:textBox dataSource="actionForm.keyword" size="14"/>
          <netui:anchor styleClass="boldanchor" formSubmit="true">
              Search
          </netui:anchor>
      </netui:form>
    <td>
  </tr>
</table>
