<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declarePageInput name="categoryNames" type="java.util.List"/>
<netui-data:declarePageInput name="languages" type="java.lang.String[]"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        &nbsp; 
    </netui-template:section>
    <netui-template:section name="body">
    <netui:errors/>
    <netui:form action="createAccount">
    <center>
        <table cellpadding=10 cellspacing=0 align=center border=1 bgcolor=#dddddd>
            <tr>
                <td>
                <netui:span styleClass="boldlabel" value="${bundle.default.userInformation}"/>
                <table bgcolor="#008800" border=0 cellpadding=3 cellspacing=1>
                    <tr class="rowyellow">
                        <td>${bundle.default.userIdLabel}:
                        </td>
                        <td>
                        <c:if test="${pageFlow.usernameTaken == true}">
                        <netui:span styleClass="error" value="${bundle.default.usernameTaken}"/>
                        <br/>
                        </c:if>
                        <netui:textBox dataSource="actionForm.userId"/>
                        <br/>
                        <netui:error key="userId"/>
                        </td>
                    </tr>
                    <tr class="rowyellow">
                        <td>${bundle.default.passwordLabel}:
                        </td>
                        <td>
                        <netui:textBox password="true" dataSource="actionForm.password"/>
                        <br/>
                        <netui:error key="password"/>
                        </td>
                    </tr>
                    <tr class="rowyellow">
                        <td>${bundle.default.repeatPasswordLabel}:
                        </td>
                        <td>
                        <netui:textBox dataSource="actionForm.repeatedPassword" password="true"/>
                        <br/>
                        <netui:error key="password"/>
                        </td>
                    </tr>
                </table>
                <beehive-petstore:accountFields categoryNames="${pageInput.accountFields}" languages="${pageInput.languages}"/>
                </td>
                </tr>
                </table>
        <br/>
        <netui:imageButton src="${pageContext.request.contextPath}/images/button_submit.gif"/>
        </center>
    </netui:form>
    </netui-template:section>
</netui-template:template>
