<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore"%>

<netui-data:declarePageInput name="orders" type="org.apache.beehive.samples.petstore.model.Order[]" required="false"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
        <beehive-petstore:catalogNav action="rootSharedFlow.globalShop" labelValue="${bundle.view.mainMenuLabel}"/>
    </netui-template:section>
    <netui-template:section name="body">
    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <p/>
    <center> 
    <netui:span styleClass="boldlabel" value="${bundle.view.myOrders}"/>
    <p/>
    <netui-data:repeater dataSource="pageInput.orders" defaultText="<br/><br/>No orders found<br/><br/>">
        <netui-data:repeaterHeader>
            <table class="tablegreen">
                <tr class="rowgrey" valign="top">
                    <th>${bundle.view.orderId}</th>
                    <th>${bundle.view.orderDate}</th>
                    <th>${bundle.view.orderPrice}</th>
                </tr>
        </netui-data:repeaterHeader>
        <netui-data:repeaterItem>
            <tr valign="top" class="rowyellow">
                <td class="celldata">
                    <netui:label value="${container.item.orderId}"/>
                </td>
                <td class="celldata">
                    <netui:span value="${container.item.orderDate}" defaultValue="&nbsp;"/>
                </td>
                <td class="celldata">
                    <netui:span value="${container.item.totalPrice}" defaultValue="&nbsp;">
                        <netui:formatNumber pattern="${bundle.view.priceFormat}"/>
                    </netui:span>
                </td>
            </tr>
        </netui-data:repeaterItem>
        <netui-data:repeaterFooter>
            </table>
        </netui-data:repeaterFooter>
    </netui-data:repeater>
    </center>
    </netui-template:section>
</netui-template:template>
