<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="body">
      <netui:errors/>
      <netui:form action="shipping">
          <table class="tablegreen">
            <tr class="rowyellow">
              <td colspan=2>
                <font color=green size=4><B>Shipping Address</B></font>
              </td>
            </tr>
            <tr class="rowyellow">
              <td>First name:</td>
              <td><netui:textBox dataSource="actionForm.order.shippingAddress.firstName"/></td>
            </tr>
            <tr class="rowyellow">
              <td>Last name:</td>
              <td><netui:textBox dataSource="actionForm.order.shippingAddress.lastName"/></td>
            </tr>
            <tr class="rowyellow">
              <td>Address 1:</td>
              <td><netui:textBox size="40" dataSource="actionForm.order.shippingAddress.addr1"/></td>
            </tr>
            <tr class="rowyellow">
              <td>Address 2:</td>
              <td><netui:textBox size="40" dataSource="actionForm.order.shippingAddress.addr2"/></td>
            </tr>
            <tr class="rowyellow">
              <td>City: </td>
              <td><netui:textBox dataSource="actionForm.order.shippingAddress.city"/></td>
            </tr>
            <tr class="rowyellow">
              <td>State:</td>
              <td><netui:textBox dataSource="actionForm.order.shippingAddress.state" size="4"/></td>
            </tr>
            <tr class="rowyellow">
              <td>Zip:</td>
              <td><netui:textBox size="10" dataSource="actionForm.order.shippingAddress.zip"/></td>
            </tr>
            <tr class="rowyellow">
              <td>Country: </td>
              <td><netui:textBox size="15" dataSource="actionForm.order.shippingAddress.country"/></td>
            </tr>
          </table>
          <P>
          <center>
            <netui:imageButton src="${pageContext.request.contextPath}/images/button_submit.gif"/>
          </center>
          </p>
      </netui:form>
    </netui-template:section>
</netui-template:template>
