<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<netui-data:declarePageInput name="searchResults" type="org.apache.beehive.samples.petstore.model.Product[]" required="false"/>




<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
        &nbsp;
    </netui-template:section>
    <netui-template:section name="body">
    
    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.search" name="search"/>

    <center>
    <netui:span styleClass="boldlabel" value="${bundle.search.searchResultsLabel}"/>

    <netui-data:repeater dataSource="pageInput.searchResults" defaultText="<br/><br/>${bundle.search.noSearchResults}<br/><br/>">
        <netui-data:repeaterHeader>
            <table class="tablegreen">
                <tr class="rowgrey">
                    <td>&nbsp;</td>
                    <td><b>${bundle.view.productIdLabel}</b></td>
                    <td><b>${bundle.view.nameLabel}</b></td>
                    <td><b>${bundle.view.descriptionLabel}</b></td>
                </tr>
            </netui-data:repeaterHeader>
        <netui-data:repeaterItem>
            <tr class="rowyellow">
                <td class="celldata">
                    <netui:imageAnchor action="rootSharedFlow.globalViewProductById"border="0" src="${pageContext.request.contextPath}/images/${container.item.image}">
                        <netui:parameter name="productId" value="${container.item.productId}"/>
                    </netui:imageAnchor>                        
                </td>
                <td class="celldata">
                    <b>
                    <netui:anchor action="rootSharedFlow.globalViewProductById">
                        <netui:parameter name="productId" value="${container.item.productId}"/>
                        <font color="black"><netui:span value="${container.item.productId}"/></font>
                    </netui:anchor>
                    </b>
                </td>
                <td class="celldata">
                    <netui:span value="${container.item.name}"/>
                </td>
                <td class="celldata">
                    <netui:span value="${container.item.description}"/>
               </td>
            </tr>
        </netui-data:repeaterItem>
        <netui-data:repeaterFooter>
          </table>
        </netui-data:repeaterFooter>
    </netui-data:repeater>
    </p>
    <netui:anchor action="done" styleClass="boldanchor">${bundle.search.searchDoneLabel}</netui:anchor>
    </center>
    </netui-template:section>
</netui-template:template>
