package org.apache.beehive.sample;

/*
 * Copyright 2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */

public class Phone implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    
    private int areaCode;
    private String exchange;
    private String number;

    public Phone() { super(); }

    public Phone(int areaCode, String exchange, String number) {

        this.areaCode = areaCode;
        this.exchange = exchange;
        this.number = number;
    }

    public int getAreaCode() { return areaCode; }
    public void setAreaCode(int areaCode) { this.areaCode = areaCode; }

    public String getExchange() { return exchange; }
    public void setExchange(String exchange) { this.exchange = exchange; }

    public String getNumber() { return number; }
    public void setNumber(String number) { this.number = number; }
}
