package web.soapmessagehandlers;

/*
 * Copyright 2004, 2005 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$Factory
 */

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.InitParam;
import javax.jws.soap.SOAPMessageHandler;
import javax.jws.soap.SOAPMessageHandlers;

@WebService(targetNamespace="http://beehive.apache.org/wsm/web")
@SOAPMessageHandlers({
  @SOAPMessageHandler(
    className = "org.apache.beehive.sample.MessageHandler", 
    initParams = {
      @InitParam(name="original", value="original"),
      @InitParam(name="modified", value="oRiGiNaL")
    }
  )
})
public class SOAPMessageHandlersSample {

    @WebMethod
    public String sayHello(String name) {
        return "Hello, " + name + "!";
    }
}
