package web.webservice;

/*
 * Copyright 2004, 2005 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$Factory
 */

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * This web service shows the use of @WebService.wsdlLocation.
 */
@WebService(wsdlLocation="WebServiceWsdlLocation.wsdl")
public class WebServiceWsdlLocationSample {

    @WebMethod
    public String sayHello(String name) {
        return "Hello, " + name + "!";
    }
}