/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.samples.petstore.controller;

import org.apache.beehive.netui.pageflow.PageFlowController;

public abstract class PetstoreController
    extends PageFlowController {

    /*
     There are a set of JPF bugs that prevent the use of PageFlowController
     base classes.  Generally, they are related to being unable to use
     controls / shared flows as annotated fields as the runtime doesn't
     discover and initialize them correctly.

     Once this happens, methods like getAccount() in the SharedFlow
     can be implemented once for the Page Flows in the base class.

     In addition, all JPFs would then have protected access to the SharedFlow
     field
     */
}
