package org.apache.beehive.samples.petstore.forms;

import org.apache.beehive.netui.pageflow.FormData;

/**
 * This class stores the state of the app when the user entered the
 * auth controller i.e. return to previous page or return to previous action
 */
public class ReturnToForm
    extends FormData {

    private boolean _returnToPreviousAction;

    public ReturnToForm() {
    }

    public ReturnToForm(boolean returnToPreviousAction) {
        _returnToPreviousAction = returnToPreviousAction;
    }

    public void setReturnToPreviousAction(boolean returnToPreviousAction) {
        _returnToPreviousAction = returnToPreviousAction;
    }

    public boolean getReturnToPreviousAction() {
        return _returnToPreviousAction;
    }
}
