/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.samples.petstore.model;

/**
 *
 */
public class Account
    implements java.io.Serializable {

    private String _userId;
    private String _password;
    private String _email;
    private String _phone;
    private String _firstName;
    private String _lastName;
    private String _status;

    private Address _address;

    private String _favCategory;
    private String _langPref;
    private String _bannerData;
    private String _bannerName;
    private boolean _myListOpt;
    private boolean _bannerOpt;

    public Account() {
    }

    public String getPassword() {
        return _password;
    }

    public void setPassword(String password) {
        _password = password;
    }

    public Address getAddress() {
        return _address;
    }

    public void setAddress(Address address) {
        _address = address;
    }

    public String getUserId() {
        return _userId;
    }

    public void setUserId(String userId) {
        _userId = userId;
    }

    public String getEmail() {
        return _email;
    }

    public void setEmail(String email) {
        _email = email;
    }

    public String getFirstName() {
        return _firstName;
    }

    public void setFirstName(String firstName) {
        _firstName = firstName;
    }

    public String getLastName() {
        return _lastName;
    }

    public void setLastName(String lastName) {
        _lastName = lastName;
    }

    public String getStatus() {
        return _status;
    }

    public void setStatus(String status) {
        _status = status;
    }

    public String getPhone() {
        return _phone;
    }

    public void setPhone(String phone) {
        _phone = phone;
    }

    public void setFavCategory(String favCategory) {
        _favCategory = favCategory;
    }

    public String getFavCategory() {
        return _favCategory;
    }


    public void setLangPref(String langPref) {
        _langPref = langPref;
    }

    public String getLangPref() {
        return _langPref;
    }

    public String getBannerData() {
        return _bannerData;
    }

    public void setBannerData(String bannerData) {
        _bannerData = bannerData;
    }

    public boolean isMyListOpt() {
        return _myListOpt;
    }

    public void setMyListOpt(boolean myListOpt) {
        _myListOpt = myListOpt;
    }

    public boolean isBannerOpt() {
        return _bannerOpt;
    }

    public void setBannerOpt(boolean bannerOpt) {
        _bannerOpt = bannerOpt;
    }

    public String getBannerName() {
        return _bannerName;
    }

    public void setBannerName(String bannerName) {
        _bannerName = bannerName;
    }
}
