<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declarePageInput name="categoryNames" type="java.lang.String[]"/>
<netui-data:declarePageInput name="languages" type="java.lang.String[]"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav"> &nbsp; </netui-template:section>

    <netui-template:section name="body"> <center>
    <netui:form action="updateAccount">
        <table cellpadding="10" cellspacing="0" align="center" bgcolor="#dddddd">
            <tr>
                <td>
                <netui:span styleClass="boldlabel" value="${bundle.default.userInformation}"/>
                <table class="tablegreen">
                    <tr class="rowyellow">
                        <td>${bundle.default.userIdLabel}:
                        </td>
                        <td><netui:span value="${actionForm.userId}"/></td>
                    </tr>
                    <tr class="rowyellow">
                        <td>${bundle.default.passwordLabel}:
                        </td>
                        <td>
                        <netui:textBox dataSource="actionForm.newPassword" password="true"/>
                        </td>
                    </tr>
                    <tr class="rowyellow">
                        <td>${bundle.default.repeatPasswordLabel}:
                        </td>
                        <td>
                        <netui:textBox dataSource="actionForm.repeatedPassword" password="true"/>
                        </td>
                    </tr>
                </table>
                <beehive-petstore:accountFields categoryNames="${pageInput.categoryNames}" languages="${pageInput.languages}"/> 
                </td>
            </tr>
            <tr>
                <td>
                <center>
                <br/>
                <netui:imageButton src="${pageContext.request.contextPath}/images/button_submit.gif"/>
                <br/>
                <br/>
                <netui:anchor action="listOrders">
                    <b>${bundle.default.listOrdersLabel}</b>
                </netui:anchor>
                </center>
                </netui:form>
    </td> </tr> </table> </netui-template:section>
</netui-template:template>
