<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>
<netui-data:declarePageInput name="checkout" type="java.lang.Boolean"/>
<netui-data:declarePageInput name="order" type="org.apache.beehive.samples.petstore.model.Order"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
      <beehive-petstore:catalogNav action="rootSharedFlow.globalShop" labelValue="${bundle.view.mainMenuLabel}"/>
    </netui-template:section>
    <netui-template:section name="body">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>

      <netui-data:getData resultId="checkout" value="${pageInput.checkout}"/>

      <netui:errors/><p>

      <br clear="all"/>
      <p>
      <center>
      <netui:span styleClass="boldlabel" value="${bundle.view.confirmMessage}"/>
      </center>
      <p>
      <beehive-petstore:orderSummary order="${pageInput.order}"/>
      <p>
      <center>
      <netui:imageAnchor action="confirm" border="0" src="${pageContext.request.contextPath}/images/button_continue.gif">
          <netui:parameter name="confirmed" value="true"/>
      </netui:imageAnchor>
      </center>
    </netui-template:section>
</netui-template:template>
