<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<netui-data:declarePageInput name="order" type="org.apache.beehive.samples.petstore.model.Order"/>
<netui-data:declarePageInput name="creditCardTypes" type="java.util.List"/>




<netui-template:template templatePage="/site/template.jsp">

    <netui-template:section name="leftnav"> &nbsp; </netui-template:section>

    <netui-template:section name="body">

    <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
    <netui:form action="order">
        <center>
        <table border=0 cellpadding=3 cellspacing=1 bgcolor=#FFFF88>
            <tr bgcolor=#FFFF88>
                <td colspan=2>
                <font color=green size=4><B>${bundle.view.paymentDetailsLabel}</B></font>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.cardTypeLabel}:
                </td>
                <td>
                <netui:select dataSource="actionForm.order.cardType" optionsDataSource="${pageInput.creditCardTypes}"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.cardNumberLabel}:
                </td>
                <td>
                <netui:textBox dataSource="actionForm.order.creditCard"/>
                <br/>
                <netui:error key="creditCard"/>
                <font color=red size=2>Note, be sure to use an invalid number.</font></td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.expirationDateLabel}:
                </td>
                <td>
                <netui:textBox dataSource="actionForm.order.exprDate"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td colspan=2><font color=green size=4><B>${bundle.view.billingAddressLabel}</B></font></td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.firstNameLabel}:
                </td>
                <td>
                <netui:textBox size="40" dataSource="actionForm.order.billingAddress.firstName"/>
                <br/>
                <netui:error key="billToFirstName"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.lastNameLabel}:
                </td>
                <td>
                <netui:textBox size="40" dataSource="actionForm.order.billingAddress.lastName"/>
                <br/>
                <netui:error key="billToLastName"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.address1Label}:
                </td>
                <td>
                <netui:textBox size="40" dataSource="actionForm.order.billingAddress.addr1"/>
                <br/>
                <netui:error key="billToAddress1"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.address2Label}:
                </td>
                <td>
                <netui:textBox size="40" dataSource="actionForm.order.billingAddress.addr2"/>
                <br/>
                <netui:error key="billToAddress2"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.cityLabel}:
                </td>
                <td>
                <netui:textBox size="20" dataSource="actionForm.order.billingAddress.city"/>
                <br/>
                <netui:error key="billToCity"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.stateLabel}:
                </td>
                <td>
                <netui:textBox size="4" dataSource="actionForm.order.billingAddress.state"/>
                <br/>
                <netui:error key="billToState"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.zipLabel}:
                </td>
                <td>
                <netui:textBox size="10" dataSource="actionForm.order.billingAddress.zip"/>
                <br/>
                <netui:error key="billToZip"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td>${bundle.view.countryLabel}:
                </td>
                <td>
                <netui:textBox size="15" dataSource="actionForm.order.billingAddress.country"/>
                <br/>
                <netui:error key="billToCountry"/>
                </td>
            </tr>
            <tr bgcolor=#FFFF88>
                <td colspan=2>
                <netui:checkBox dataSource="actionForm.shippingAddressRequired"/>
                ${bundle.view.shipToDifferentAddressMessage}
                </td>
            </tr>
        </table>
        <p/>
        <netui:imageButton align="center" src="${pageContext.request.contextPath}/images/button_submit.gif"/>
        </center>
        </netui:form>
    </netui-template:section>
</netui-template:template>
