<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declarePageInput name="order" type="org.apache.beehive.samples.petstore.model.Order"/>
<netui-data:declarePageInput name="checkout" type="java.lang.Boolean"/>

<netui-template:template templatePage="/site/template.jsp">
    <netui-template:section name="leftnav">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
      <beehive-petstore:catalogNav action="rootSharedFlow.globalShop" labelValue="${bundle.view.mainMenuLabel}"/>
    </netui-template:section>
    <netui-template:section name="body">
      <netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>
      <br/>
      <br/>
      <c:if test="${pageInput.checkout != null}">
        <center>
          <b>${bundle.view.orderSubmittedMessage}</b>
        </center>
      </c:if>
      <br/>
      <br/>
      <beehive-petstore:orderSummary order="${pageInput.order}"/>
    </netui-template:section>
</netui-template:template>
