<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@ taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib prefix="beehive-petstore" tagdir="/WEB-INF/tags/beehive/petstore" %>

<netui-data:declareBundle bundlePath="org.apache.beehive.samples.petstore.resources.view" name="view"/>

<netui:html>
    <head>
        <title>
            ${bundle.view.indexTitle}
        </title>
        <link rel="stylesheet" href="${pageContext.request.contextPath}/site/default.css" type="text/css"/>
        <meta content="text/html; charset=windows-1252" http-equiv=Content-Type>
    </head>
    <netui:body>
        <beehive-petstore:headerMenu contextPath="${pageContext.request.contextPath}"/>
        <center>
        <table border="0" cellSpacing="100" width="100%">
            <tbody>
                <tr>
                    <td width="100%">
                    <p align="center">
                    <netui:span styleClass="boldlabel" value="${bundle.view.welcome}"/>
                    <br/>
                    <netui:anchor href="shop/Controller.jpf">
                        ${bundle.view.enterTheStore}
                    </netui:anchor>
                    </p>
                    </td>
                </tr>
            </tbody>
        </table>
        </center>
        <beehive-petstore:copyright contextPath="${pageContext.request.contextPath}"/>
    </netui:body>
</netui:html>
